﻿using Mediachase.Commerce.Orders;
using Mediachase.Commerce.Plugins.Payment;
using Oshyn.Episerver.Addons.Commerce.ApplePay.Orders;

//TODO: You can use your own namespace here, feel free to change it.
namespace $rootnamespace$.Gateway
{
    /// <summary>
    /// Please refer to Episerver Commerce Payment Gateway documentation on how
    /// to implement a custom gateway. You might want to move this file to another
    /// assembly as recommended by Episerver.
    /// </summary>
    public class ApplePayPaymentGateway : AbstractPaymentGateway
    {
        /// <summary>
        /// Process Payment method.
        /// </summary>
        /// <param name="payment">Payment object.</param>
        /// <param name="message">Message.</param>
        /// <returns>True if the Payment object is ApplePayPayment.</returns>
        public override bool ProcessPayment(Payment payment, ref string message)
        {
            if (payment is ApplePayPayment)
            {
                //TODO: Insert your payment processing logic here, such as sending
                //credit card information to a payment processor.
                return true;
            }

            return false;
        }
    }
}
